package org.springblade.modules.mall.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类别表实体类
 *
 * @author zzyd
 * @since 2023-02-10
 */
@Data
@TableName("biz_category_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "CategoryInfo对象", description = "类别表")
public class CategoryInfo extends BaseEntity<CategoryInfo> {

	private static final long serialVersionUID = 1L;

	/**
	* 分类名称
	*/
	@ApiModelProperty(value = "分类名称")
	private String title;
	/**
	* 0
	*/
	@ApiModelProperty(value = "0")
	private String level;
	/**
	* 状态;1：有效；0：无效；
	*/
	@ApiModelProperty(value = "状态;1：有效；0：无效；")
	private Integer state;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 分类图标
	*/
	@ApiModelProperty(value = "分类图标")
	private String logo;
	/**
	* 分类父id
	*/
	@ApiModelProperty(value = "分类父id")
	private Long parentId;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
