package org.springblade.modules.custom.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 调酒师表实体类
 *
 * @author zzyd
 * @since 2023-02-08
 */
@Data
@TableName("biz_bartender")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Bartender对象", description = "调酒师表")
public class Bartender extends BaseEntity<Bartender> {

	private static final long serialVersionUID = 1L;

	/**
	* 标题
	*/
	@ApiModelProperty(value = "标题")
	private String title;
	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	private String introduction;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片")
	private String image;
	/**
	* 姓名
	*/
	@ApiModelProperty(value = "姓名")
	private String name;
	/**
	* 性别
	*/
	@ApiModelProperty(value = "性别")
	private Integer sex;
	/**
	* 电话
	*/
	@ApiModelProperty(value = "电话")
	private String phone;
	/**
	* 地址
	*/
	@ApiModelProperty(value = "地址")
	private String address;
	/**
	* 单位
	*/
	@ApiModelProperty(value = "单位")
	private String unit;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;


}
