package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 调酒师表技能表实体类
 *
 * @author zzyd
 * @since 2023-02-08
 */
@Data
@TableName("biz_bartender_skill")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BartenderSkill对象", description = "调酒师表技能表")
public class BartenderSkill extends BaseEntity<BartenderSkill> {

	private static final long serialVersionUID = 1L;

	/**
	* 调酒师id
	*/
	@ApiModelProperty(value = "调酒师id")
	private Long bartenderId;
	/**
	* 标题
	*/
	@ApiModelProperty(value = "标题")
	private String title;
	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	private String introduction;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;


}
