package org.springblade.modules.custom.entity;

import java.math.BigDecimal;
import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 基酒表实体类
 *
 * @author zzyd
 * @since 2023-02-08
 */
@Data
@TableName("biz_base_wine")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BaseWine对象", description = "基酒表")
public class BaseWine extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 名称
	*/
	@ApiModelProperty(value = "名称")
	private String name;
	/**
	* 图片
	*/
	@ApiModelProperty(value = "图片")
	private String image;
	/**
	* 介绍
	*/
	@ApiModelProperty(value = "介绍")
	private String introduce;
	/**
	* 价格
	*/
	@ApiModelProperty(value = "价格")
	private BigDecimal price;
	/**
	* 销量
	*/
	@ApiModelProperty(value = "销量")
	private Integer salesVolume;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 状态 0-禁用 1-启用
	*/
	@ApiModelProperty(value = "状态 0-禁用 1-启用")
	private Integer status;
	/**
	 * 默认数量
	 */
	@ApiModelProperty(value = "默认数量")
	private Integer defaultNum;


	public Integer getSalesVolume() {
		return salesVolume == null ? 0 : salesVolume;
	}
}
