/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.custom.service.impl;

import org.springblade.modules.custom.entity.Bartender;
import org.springblade.modules.custom.vo.BartenderVO;
import org.springblade.modules.custom.mapper.BartenderMapper;
import org.springblade.modules.custom.service.IBartenderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 调酒师表 服务实现类
 *
 * @author BladeX
 * @since 2023-02-08
 */
@Service
public class BartenderServiceImpl extends ServiceImpl<BartenderMapper, Bartender> implements IBartenderService {

	@Override
	public IPage<BartenderVO> selectBartenderPage(IPage<BartenderVO> page, BartenderVO bartender) {
		return page.setRecords(baseMapper.selectBartenderPage(page, bartender));
	}

}
