package org.springblade.modules.system.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 实体类
 *
 * @author zzyd
 * @since 2023-02-09
 */
@Data
@TableName("blade_area")
@ApiModel(value = "Area对象", description = "Area对象")
public class Area {

	private static final long serialVersionUID = 1L;

	/**
	* 主键(区域编码)	
	*/
	@ApiModelProperty(value = "主键(区域编码)	")
	private Long adcode;
	/**
	* 父级区域编码
	*/
	@ApiModelProperty(value = "父级区域编码")
	private String pid;
	/**
	* 行政单位名称
	*/
	@ApiModelProperty(value = "行政单位名称")
	private String name;
	/**
	* 城市编码
	*/
	@ApiModelProperty(value = "城市编码")
	private String citycode;
	/**
	* 行政单位类别 省 市 区/县 街道/乡镇
	*/
	@ApiModelProperty(value = "行政单位类别 省 市 区/县 街道/乡镇")
	private String level;
	/**
	* 经度，纬度
	*/
	@ApiModelProperty(value = "经度，纬度")
	private String center;


}
